import { OAuthToken, EncryptedTokenData } from '@cxcloud/ct-types/customers';
export declare function encrypt(text: string): string;
export declare function decrypt(text: string): string;
export declare function getTokenData(encryptedToken: string): EncryptedTokenData;
export declare function encryptTokenResponse(token: OAuthToken, customerId: string, isAnonymous?: boolean): OAuthToken;
export declare function getAnonymousIdFromToken(token?: string): string | null;
